Package org.codehaus.janino.util.signature

# Class SignatureParser.ClassSignature

java.lang.Object
org.codehaus.janino.util.signature.SignatureParser.ClassSignature

Enclosing class:
  `SignatureParser`

public static class SignatureParser.ClassSignature extends Object
Representation of the "ClassSignature" clause.

## Field Summary

Fields
Modifier and Type
Field
Description
`final List<SignatureParser.FormalTypeParameter>`
`formalTypeParameters`
The class's formal type parameters, e.g.
`SignatureParser.ClassTypeSignature`
`superclassSignature`
The class's superclass type.
`final List<SignatureParser.ClassTypeSignature>`
`superinterfaceSignatures`
The interfaces that the class implements.

## Constructor Summary

Constructors
Constructor
Description
`ClassSignature(List<SignatureParser.FormalTypeParameter> formalTypeParameters, SignatureParser.ClassTypeSignature superclassSignature, List<SignatureParser.ClassTypeSignature> superinterfaceSignatures)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString(String className)`
Combines the name of the class and this class signature into a nice, human-readable string like '`MyMap<K, V> extends SomeClass implements Interface1, Interface2`'.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### formalTypeParameters

public final List<SignatureParser.FormalTypeParameter> formalTypeParameters
The class's formal type parameters, e.g. '`class MyMap<K, V> ...`'.

### superclassSignature

public SignatureParser.ClassTypeSignature superclassSignature
The class's superclass type.

### superinterfaceSignatures

public final List<SignatureParser.ClassTypeSignature> superinterfaceSignatures
The interfaces that the class implements.

## Constructor Details

### ClassSignature

public ClassSignature(List<SignatureParser.FormalTypeParameter> formalTypeParameters, SignatureParser.ClassTypeSignature superclassSignature, List<SignatureParser.ClassTypeSignature> superinterfaceSignatures)

## Method Details

### toString

public String toString(String className)
Combines the name of the class and this class signature into a nice, human-readable string like '`MyMap<K, V> extends SomeClass implements Interface1, Interface2`'.